import { HttpController } from '../controllers/HttpController';
import { Http } from './Http';
export declare abstract class Router {
    readonly http: Http;
    readonly prefix: string;
    protected controllers: Record<string, HttpController>;
    constructor(http: Http, prefix?: string);
    registerController(name: string, controller: HttpController): this;
    withPrefix(path: string): string;
    getHandler(name: string): (ctx: import("./HttpContext").HttpContext) => Promise<import("./HttpResponse").HttpResponse>;
    abstract register(): void;
}
//# sourceMappingURL=Router.d.ts.map