import 'express-async-errors';
import { Http } from '../entities/Http';
import { HttpHandleFunction } from '../entities/HttpHandleFunction';
import { HttpHandleOptions } from '../entities/HttpHandleOptions';
import { HttpMiddleware } from '../entities/HttpMiddleware';
import { CorsOptions } from 'cors';
export declare class ExpressHttpAdapter extends Http {
    private app;
    private upload;
    constructor(uploadPath: string, corsOptions?: CorsOptions);
    private sendResponse;
    addGlobalMiddleware(middleware: HttpMiddleware): void;
    on(path: string, method: 'post' | 'get' | 'put' | 'patch' | 'delete', handle: HttpHandleFunction, middlewares?: HttpMiddleware[], options?: HttpHandleOptions): void;
    listen(port: number, callback: () => void): void;
}
//# sourceMappingURL=ExpressHttpAdapter.d.ts.map