"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpJsonResponse = void 0;
const HttpResponse_1 = require("./HttpResponse");
class HttpJsonResponse extends HttpResponse_1.HttpResponse {
    constructor(status = 200, body, headers = {}) {
        super(status, body, { ...headers, 'Content-Type': 'application/json; charset=utf-8' });
    }
}
exports.HttpJsonResponse = HttpJsonResponse;
